"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../store/modules/chartEditStore/chartEditStore.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const config = runtimeCore_esmBundler.computed(() => {
      return props.optionData;
    });
    return (_ctx, _cache) => {
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      const _component_n_color_picker = runtimeCore_esmBundler.resolveComponent("n-color-picker");
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      return runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(config.value.series, (item, index) => {
        return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
          key: index,
          name: `圆环`,
          expanded: true
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "数据" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "数值" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: config.value.dataset,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => config.value.dataset = $event),
                      min: 0,
                      max: 1,
                      step: 0.01,
                      size: "small",
                      placeholder: "数值"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            config.value.title ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(SettingItemBox.default), {
              key: 0,
              name: "标题"
            }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: config.value.title.textStyle.color,
                      "onUpdate:value": _cache[1] || (_cache[1] = ($event) => config.value.title.textStyle.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "字体大小" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: config.value.title.textStyle.fontSize,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => config.value.title.textStyle.fontSize = $event),
                      min: 0,
                      step: 1,
                      size: "small",
                      placeholder: "字体大小"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })) : runtimeCore_esmBundler.createCommentVNode("", true),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "进度条" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[0].itemStyle.color,
                      "onUpdate:value": ($event) => item.data[0].itemStyle.color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "阴影模糊等级" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: item.data[0].itemStyle.shadowBlur,
                      "onUpdate:value": ($event) => item.data[0].itemStyle.shadowBlur = $event,
                      min: 0,
                      max: 50,
                      step: 1,
                      size: "small",
                      placeholder: "阴影模糊等级"
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "阴影颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[0].itemStyle.shadowColor,
                      "onUpdate:value": ($event) => item.data[0].itemStyle.shadowColor = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "轨道" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[1].itemStyle.color,
                      "onUpdate:value": ($event) => item.data[1].itemStyle.color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "阴影模糊等级" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: item.data[1].itemStyle.shadowBlur,
                      "onUpdate:value": ($event) => item.data[1].itemStyle.shadowBlur = $event,
                      min: 0,
                      step: 1,
                      size: "small",
                      placeholder: "阴影模糊等级"
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "阴影颜色" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[1].itemStyle.shadowColor,
                      "onUpdate:value": ($event) => item.data[1].itemStyle.shadowColor = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "轨道宽度" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: item.radius[0],
                      "onUpdate:value": ($event) => item.radius[0] = $event,
                      size: "small",
                      options: [
                        { label: "窄", value: "75%" },
                        { label: "中", value: "60%" },
                        { label: "宽", value: "45%" },
                        { label: "更宽", value: "30%" }
                      ]
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024)
          ]),
          _: 2
        }, 1024);
      }), 128);
    };
  }
});
exports.default = _sfc_main;
